package simulator;

import utils.*;
import java.util.*;

public interface ProcessorModule {
  public Symbol getName();
  public void link(PortedProcessor p); // link into the ported processor
  public void init();
  // returns whether it's changed
  public boolean signalEvent(Symbol name,Object data);
}

